// server/src/user-setting/dto/user-setting-response.dto.ts
import { CreateUserSettingDto } from './create-user-setting.dto';
import { UserSetting } from '../user-setting.entity';

export class UserSettingResponseDto extends CreateUserSettingDto {
  id: string;
  userId: string;
  createdAt: Date;
  updatedAt: Date;

  constructor(partial: Partial<UserSetting>) {
    super(); // Call the constructor of CreateUserSettingDto to apply defaults
    Object.assign(this, partial);
  }
}
